@misc{amazon_amazon_nodate,
	title = {Amazon {Elastic} {Container} {Service}},
	url = {https://aws.amazon.com/ecs/?nc1=h_ls},
	author = {{Amazon}}
}

@misc{microsoft_microsoft_nodate,
	title = {Microsoft {Web} {App} for {Containers}},
	url = {https://azure.microsoft.com/en-us/services/app-service/containers/},
	author = {{Microsoft}}
}

@misc{alibaba_alibaba_nodate,
	title = {Alibaba {Container} {Service}},
	url = {https://www.alibabacloud.com/product/container-service?spm=a2c5t.10695662.1996646101.searchclickresult.55a3212bnXyv1v},
	author = {{Alibaba}}
}

@misc{ovh_ovh_nodate,
	title = {{OVH} {Kubernetes}},
	url = {https://www.ovh.com/fr/kubernetes/},
	author = {{OVH}}
}

@misc{docker_what_nodate,
	title = {What is a {Container}?},
	url = {https://www.docker.com/resources/what-container},
	author = {{Docker}}
}

@misc{docker_docker_nodate,
	title = {Docker {CE}},
	url = {https://github.com/docker/docker-ce},
	author = {{Docker}}
}

@misc{porterie_docker_2016,
	title = {Docker 1.11: {The} first runtime built on containerd and based on {OCI} technology},
	url = {https://blog.docker.com/2016/04/docker-engine-1-11-runc/},
	journal = {Docker blog},
	author = {Porterie, Arnaud},
	month = apr,
	year = {2016}
}

@misc{docker_docker_nodate-1,
	title = {Docker {CLI}},
	url = {https://github.com/docker/cli},
	author = {{Docker}}
}

@misc{noauthor_moby_nodate,
	title = {Moby},
	url = {https://github.com/moby/moby}
}

@misc{crosby_what_2017,
	title = {What is containerd ?},
	url = {https://blog.docker.com/2017/08/what-is-containerd-runtime/},
	journal = {Docker blog},
	author = {Crosby, Michael},
	month = aug,
	year = {2017}
}

@misc{docker_core_engineering_docker_2016,
	title = {Docker 1.12: {Now} with {Built}-in {Orchestration}!},
	url = {https://blog.docker.com/2016/06/docker-1-12-built-in-orchestration/},
	author = {{Docker Core Engineering}},
	month = jun,
	year = {2016}
}

@misc{containerd_containerd_nodate,
	title = {containerd},
	url = {https://github.com/containerd/containerd},
	author = {{containerd}}
}

@misc{docker_hub,
	title = {Docker {Hub}},
	url = {https://hub.docker.com/},
	author = {{Docker}}
}

@misc{hykes_introducing_2015,
	title = {Introducing {runC}: a lightweight universal container runtime},
	journal = {Docker blog},
	author = {Hykes, Solomon},
	month = jun,
	year = {2015}
}

@misc{opencontainers_runc_nodate,
	title = {runc},
	url = {https://github.com/opencontainers/runc},
	author = {{opencontainers}}
}

@misc{kerrisk_lce_2012,
	title = {{LCE}: {The} failure of operating systems and how we can fix it},
	url = {https://lwn.net/Articles/524952/},
	journal = {LWN},
	author = {Kerrisk, Michael},
	month = nov,
	year = {2012}
}

@misc{hiroyu_cgroup_2008,
	title = {Cgroup {And} {Memory} {Resource}  {Controller}},
	url = {https://www.static.linuxfound.org/jp_uploads/seminar20081119/CgroupMemcgMaster.pdf},
	author = {Hiroyu, Kamezawa},
	month = nov,
	year = {2008}
}

@misc{linux_memory_nodate,
	title = {Memory {Resource} {Controller}},
	url = {https://www.kernel.org/doc/Documentation/cgroup-v1/memory.txt},
	author = {{Linux}}
}

@misc{alexey_kopytov_sysbench_nodate,
	title = {sysbench},
	author = {{Alexey Kopytov}}
}

@misc{intel_intel_2012,
	title = {Intel® {Xeon}® {Processor} {E}5-1603},
	url = {https://ark.intel.com/content/www/us/en/ark/products/64600/intel-xeon-processor-e5-1603-10m-cache-2-80-ghz-0-0-gt-s-intel-qpi.html},
	author = {{Intel}},
	year = {2012}
}

@misc{barr_new_2018,
	title = {New {AWS} {Auto} {Scaling} – {Unified} {Scaling} {For} {Your} {Cloud} {Applications}},
	url = {https://aws.amazon.com/fr/blogs/aws/aws-auto-scaling-unified-scaling-for-your-cloud-applications/},
	journal = {AWS News Blog},
	author = {Barr, Jeff},
	month = jan,
	year = {2018}
}

@misc{noauthor_microsoft_2017,
	title = {Microsoft {Azure}: {Autoscaling}},
	url = {https://docs.microsoft.com/en-us/azure/architecture/best-practices/auto-scaling},
	journal = {Microsoft Azure},
	month = may,
	year = {2017}
}

@misc{noauthor_google_2018,
	title = {Google {Cloud} : Équilibrage de charge et scaling},
	url = {https://cloud.google.com/compute/docs/load-balancing-and-autoscaling#policies},
	month = dec,
	year = {2018}
}

@misc{noauthor_kubernetes_autoscaler_2019,
	title = {kubernetes/autoscaler},
	url = {https://github.com/kubernetes/autoscaler/blob/master/cluster-autoscaler/FAQ.md},
	month = feb,
	year = {2019}
}

@techreport{amazon_aws_2018,
	title = {{AWS} {Auto} {Scaling} {Guide} de l'utilisateur},
	url = {https://docs.aws.amazon.com/fr_fr/autoscaling/plans/userguide/as-plans-ug.pdf#auto-scaling-getting-started},
	author = {{Amazon}},
	month = nov,
	year = {2018},
	pages = {23}
}

@inproceedings{kim_dynamic_2015,
	address = {Washington DC, DC, USA},
	title = {Dynamic {Memory} {Pressure} {Aware} {Ballooning}},
	isbn = {978-1-4503-3604-8},
	url = {http://dl.acm.org/citation.cfm?doid=2818950.2818967},
	doi = {10.1145/2818950.2818967},
	language = {en},
	urldate = {2019-03-12},
	booktitle = {Proceedings of the 2015 {International} {Symposium} on {Memory} {Systems} - {MEMSYS} '15},
	publisher = {ACM Press},
	author = {Kim, Jinchun and Fedorov, Viacheslav and Gratz, Paul V. and Reddy, A. L. Narasimha},
	year = {2015},
	pages = {103--112}
}

@inproceedings{salomie_application_2013,
	address = {Prague, Czech Republic},
	title = {Application level ballooning for efficient server consolidation},
	isbn = {978-1-4503-1994-2},
	url = {http://dl.acm.org/citation.cfm?doid=2465351.2465384},
	doi = {10.1145/2465351.2465384},
	language = {en},
	urldate = {2019-03-12},
	booktitle = {Proceedings of the 8th {ACM} {European} {Conference} on {Computer} {Systems} - {EuroSys} '13},
	publisher = {ACM Press},
	author = {Salomie, Tudor-Ioan and Alonso, Gustavo and Roscoe, Timothy and Elphinstone, Kevin},
	year = {2013},
	pages = {337}
}

@misc{kvm_automatic_2013,
	title = {Automatic {Ballooning}},
	url = {https://www.linux-kvm.org/page/Projects/auto-ballooning},
	author = {{KVM}},
	year = {2013}
}

@misc{capitulino_automatic_2013,
	title = {Automatic ballooning},
	url = {https://www.linux-kvm.org/images/5/58/Kvm-forum-2013-automatic-ballooning.pdf},
	author = {Capitulino, Luiz},
	month = oct,
	year = {2013}
}

@article{lorido_botran_review_2014,
	title = {A {Review} of {Auto}-scaling {Techniques} for {Elastic} {Applications} in {Cloud} {Environments}},
	volume = {12},
	issn = {1570-7873, 1572-9184},
	url = {http://link.springer.com/10.1007/s10723-014-9314-7},
	doi = {10.1007/s10723-014-9314-7},
	language = {en},
	number = {4},
	urldate = {2019-02-26},
	journal = {Journal of Grid Computing},
	author = {Lorido-Botran, Tania and Miguel-Alonso, Jose and Lozano, Jose A.},
	month = dec,
	year = {2014},
	pages = {559--592}
}

@inproceedings{rao_distributed_2011,
	address = {Singapore, Singapore},
	title = {A {Distributed} {Self}-{Learning} {Approach} for {Elastic} {Provisioning} of {Virtualized} {Cloud} {Resources}},
	isbn = {978-1-4577-0468-0},
	url = {http://ieeexplore.ieee.org/document/6005367/},
	doi = {10.1109/MASCOTS.2011.47},
	urldate = {2019-02-26},
	booktitle = {2011 {IEEE} 19th {Annual} {International} {Symposium} on {Modelling}, {Analysis}, and {Simulation} of {Computer} and {Telecommunication} {Systems}},
	publisher = {IEEE},
	author = {Rao, Jia and Bu, Xiangping and Xu, Cheng-Zhong and Wang, Kun},
	month = jul,
	year = {2011},
	pages = {45--54}
}

@inproceedings{moore_transforming_2013,
	address = {Prague, Czech Republic},
	title = {Transforming reactive auto-scaling into proactive auto-scaling},
	isbn = {978-1-4503-2075-7},
	url = {http://dl.acm.org/citation.cfm?doid=2460756.2460758},
	doi = {10.1145/2460756.2460758},
	language = {en},
	urldate = {2019-02-26},
	booktitle = {Proceedings of the 3rd {International} {Workshop} on {Cloud} {Data} and {Platforms} - {CloudDP} '13},
	publisher = {ACM Press},
	author = {Moore, Laura R. and Bean, Kathryn and Ellahi, Tariq},
	year = {2013},
	pages = {7--12}
}

@inproceedings{kriushanth_load_2015,
	address = {Coimbatore, India},
	title = {Load balancer behavior identifier ({LoBBI}) for dynamic threshold based auto-scaling in cloud},
	isbn = {978-1-4799-6804-6 978-1-4799-6805-3},
	url = {http://ieeexplore.ieee.org/document/7218115/},
	doi = {10.1109/ICCCI.2015.7218115},
	urldate = {2019-02-26},
	booktitle = {2015 {International} {Conference} on {Computer} {Communication} and {Informatics} ({ICCCI})},
	publisher = {IEEE},
	author = {Kriushanth, M. and Arockiam, L.},
	month = jan,
	year = {2015},
	pages = {1--5}
}

@inproceedings{kim_dynamic_2015,
	address = {Washington DC, DC, USA},
	title = {Dynamic {Memory} {Pressure} {Aware} {Ballooning}},
	isbn = {978-1-4503-3604-8},
	url = {http://dl.acm.org/citation.cfm?doid=2818950.2818967},
	doi = {10.1145/2818950.2818967},
	language = {en},
	urldate = {2019-03-12},
	booktitle = {Proceedings of the 2015 {International} {Symposium} on {Memory} {Systems} - {MEMSYS} '15},
	publisher = {ACM Press},
	author = {Kim, Jinchun and Fedorov, Viacheslav and Gratz, Paul V. and Reddy, A. L. Narasimha},
	year = {2015},
	pages = {103--112}
}

@inproceedings{salomie_application_2013,
	address = {Prague, Czech Republic},
	title = {Application level ballooning for efficient server consolidation},
	isbn = {978-1-4503-1994-2},
	url = {http://dl.acm.org/citation.cfm?doid=2465351.2465384},
	doi = {10.1145/2465351.2465384},
	language = {en},
	urldate = {2019-03-12},
	booktitle = {Proceedings of the 8th {ACM} {European} {Conference} on {Computer} {Systems} - {EuroSys} '13},
	publisher = {ACM Press},
	author = {Salomie, Tudor-Ioan and Alonso, Gustavo and Roscoe, Timothy and Elphinstone, Kevin},
	year = {2013},
	pages = {337}
}

@misc{kvm_automatic_2013,
	title = {Automatic {Ballooning}},
	url = {https://www.linux-kvm.org/page/Projects/auto-ballooning},
	author = {{KVM}},
	year = {2013}
}

@misc{capitulino_automatic_2013,
	title = {Automatic ballooning},
	url = {https://www.linux-kvm.org/images/5/58/Kvm-forum-2013-automatic-ballooning.pdf},
	author = {Capitulino, Luiz},
	month = oct,
	year = {2013}
}

@misc{qemu_qemu_2019,
	title = {Qemu},
	url = {https://wiki.archlinux.org/index.php/QEMU},
	language = {English},
	author = {{Qemu}},
	month = may,
	year = {2019}
}

@inproceedings{carver_acdc_2017,
	address = {Cambridge, MA},
	title = {{ACDC}: {Advanced} consolidation for dynamic containers},
	isbn = {978-1-5386-1465-5},
	shorttitle = {{ACDC}},
	url = {http://ieeexplore.ieee.org/document/8171363/},
	doi = {10.1109/NCA.2017.8171363},
	urldate = {2019-05-22},
	booktitle = {2017 {IEEE} 16th {International} {Symposium} on {Network} {Computing} and {Applications} ({NCA})},
	publisher = {IEEE},
	author = {Carver, Damien and Sopena, Julien and Monnet, Sebastien},
	month = oct,
	year = {2017},
	pages = {1--8}
}

@book{gorman_understanding_2004,
	address = {Upper Saddle River, NJ},
	series = {Bruce {Perens}' open source series},
	title = {Understanding the {Linux} {Virtual} {Memory} {Manager}: finally, a fast, efficient way to master the {Linux} {VM}! ; fully illustrated tutorials on {VM} architecture and all {VM} algorithms ; line-by-line commentary on all the core {VM} code ; physical memory description, page tables, address spaces, allocation, slabs, high memory, swapping, shared memory, out-of-memory management, and more ; complete {VM} {Learning} {Lab} on {CD}-{ROM}: browsable kernel source, call graph generator, analysis/benchmarking tools, and code commentary},
	isbn = {978-0-13-145348-7},
	shorttitle = {Understanding the {Linux} {Virtual} {Memory} {Manager}},
	language = {eng},
	publisher = {Prentice Hall},
	author = {Gorman, Mel},
	year = {2004},
	note = {OCLC: 834670086}
}

@misc{docker_what_nodate,
	title = {What is a {Container}?},
	url = {https://www.docker.com/resources/what-container},
	author = {{Docker}}
}

@misc{porterie_docker_2016,
	title = {Docker 1.11: {The} first runtime built on containerd and based on {OCI} technology},
	url = {https://blog.docker.com/2016/04/docker-engine-1-11-runc/},
	journal = {Docker blog},
	author = {Porterie, Arnaud},
	month = apr,
	year = {2016}
}

@misc{docker_docker_nodate-1,
	title = {Docker {CLI}},
	url = {https://github.com/docker/cli},
	author = {{Docker}}
}

@misc{noauthor_moby_nodate,
	title = {Moby},
	url = {https://github.com/moby/moby}
}

@misc{crosby_what_2017,
	title = {What is containerd ?},
	url = {https://blog.docker.com/2017/08/what-is-containerd-runtime/},
	journal = {Docker blog},
	author = {Crosby, Michael},
	month = aug,
	year = {2017}
}

@misc{docker_core_engineering_docker_2016,
	title = {Docker 1.12: {Now} with {Built}-in {Orchestration}!},
	url = {https://blog.docker.com/2016/06/docker-1-12-built-in-orchestration/},
	author = {{Docker Core Engineering}},
	month = jun,
	year = {2016}
}

@misc{containerd_containerd_nodate,
	title = {containerd},
	url = {https://github.com/containerd/containerd},
	author = {{containerd}}
}

@misc{hykes_introducing_2015,
	title = {Introducing {runC}: a lightweight universal container runtime},
	journal = {Docker blog},
	author = {Hykes, Solomon},
	month = jun,
	year = {2015}
}

@misc{opencontainers_runc_nodate,
	title = {runc},
	url = {https://github.com/opencontainers/runc},
	author = {{opencontainers}}
}

@misc{linux_memory_nodate,
	title = {Memory {Resource} {Controller}},
	url = {https://www.kernel.org/doc/Documentation/cgroup-v1/memory.txt},
	author = {{Linux}}
}

@misc{alexey_kopytov_sysbench_nodate,
	title = {sysbench},
	author = {{Alexey Kopytov}}
}

@misc{intel_intel_2012,
	title = {Intel® {Xeon}® {Processor} {E}5-1603},
	url = {https://ark.intel.com/content/www/us/en/ark/products/64600/intel-xeon-processor-e5-1603-10m-cache-2-80-ghz-0-0-gt-s-intel-qpi.html},
	author = {{Intel}},
	year = {2012}
}